Bug 28695 - Add shelving location column to overdue report (overdue.tt)
Summary: Add shelving location column to overdue report (overdue.tt)
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Lucas Gass
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-07-08 20:56 UTC by Lucas Gass
Modified: 2021-09-03 14:54 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Text to go in the release notes:
Version(s) released in:
21.11.00


Attachments
Bug 28695: add shelving location column to overdue.tt (3.53 KB, patch)
2021-07-08 21:48 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 28695: add shelving location column to overdue.tt (3.59 KB, patch)
2021-08-10 12:50 UTC, sandboxes@biblibre.com
Details | Diff | Splinter Review
Bug 28695: add shelving location column to overdue.tt (3.59 KB, patch)
2021-08-10 16:49 UTC, sandboxes@biblibre.com
Details | Diff | Splinter Review
Bug 28695: Add shelving location column to overdue.tt (3.73 KB, patch)
2021-08-29 11:59 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Lucas Gass 2021-07-08 20:56:56 UTC
Some librarians would find it handy if the circulation overdue report (overdue.tt) included a shelving location column.

Since the table is already column configurable the new column would need to be added to columns_settings.yml as well
Comment 1 Lucas Gass 2021-07-08 21:48:07 UTC
Created attachment 122684 [details] [review]
Bug 28695: add shelving location column to overdue.tt

To test:
1. have some overdues
2. go to the overdue report on the circulation page (overdue.tt)
3. no shelving location
4. apply patch and restart the things
5. look at the overdue report again and there should be a Shelving location column
6. make sure it is accurate
7. go to table settings and make sure you can properly hide the column. test other columns in the table and make sure they are still hiding correctly as well
Comment 2 sandboxes@biblibre.com 2021-08-10 12:50:17 UTC
Created attachment 123685 [details] [review]
Bug 28695: add shelving location column to overdue.tt

To test:
1. have some overdues
2. go to the overdue report on the circulation page (overdue.tt)
3. no shelving location
4. apply patch and restart the things
5. look at the overdue report again and there should be a Shelving location column
6. make sure it is accurate
7. go to table settings and make sure you can properly hide the column. test other columns in the table and make sure they are still hiding correctly as well

Signed-off-by: Barbara Johnson <barbara.johnson@bedfordtx.gov>
Comment 3 sandboxes@biblibre.com 2021-08-10 16:49:07 UTC
Created attachment 123713 [details] [review]
Bug 28695: add shelving location column to overdue.tt

To test:
1. have some overdues
2. go to the overdue report on the circulation page (overdue.tt)
3. no shelving location
4. apply patch and restart the things
5. look at the overdue report again and there should be a Shelving location column
6. make sure it is accurate
7. go to table settings and make sure you can properly hide the column. test other columns in the table and make sure they are still hiding correctly as well

Signed-off-by: Kelly McElligott <kelly@bywatersolutions.com>
Comment 4 Katrin Fischer 2021-08-29 11:58:01 UTC
Adding Barbara's sign-off line back to the patch as there was an overlap with sign-offs here - thx Kelly and Barbara!
Comment 5 Katrin Fischer 2021-08-29 11:59:09 UTC
Created attachment 124228 [details] [review]
Bug 28695: Add shelving location column to overdue.tt

To test:
1. have some overdues
2. go to the overdue report on the circulation page (overdue.tt)
3. no shelving location
4. apply patch and restart the things
5. look at the overdue report again and there should be a Shelving location column
6. make sure it is accurate
7. go to table settings and make sure you can properly hide the column. test other columns in the table and make sure they are still hiding correctly as well

Signed-off-by: Kelly McElligott <kelly@bywatersolutions.com>
Signed-off-by: Barbara Johnson <barbara.johnson@bedfordtx.gov>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 6 Jonathan Druart 2021-08-30 15:11:51 UTC
Pushed to master for 21.11, thanks to everybody involved!